Distribution:	CCux
Packager:	Stefan Gottwald <sg3881@web.de>

Name:		expect
Version:	5.44.1
Release:	1
Summary:	expect is a tool for automating interactive applications
Group:		Development/TclTk
License:	GPL
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-spawn-1.patch
Patch1:		expect-5.44.1-tcl85.patch
Patch2:		expect-5.44.1-destdir.patch
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildRequires:  autoconf tcl-devel tk-devel
Requires:	tcl tk

%description
expect is a tool for automating interactive applications

%package devel
Summary: 	expect development headers.
Group:     	Development/TclTk
Requires: 	expect = %{version}-%{release}

%description devel
Header and include files for developing applications with expect.

%prep
%setup -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
#sed -i 's#/usr/local/bin#/usr/bin#' expect.man
#sed -i 's#/usr/local/bin#/usr/bin#' expectk.man
#sed -i \
#    -e '/^install:/s/install-libraries //' \
#    -e 's/^SCRIPTS_MANPAGES = /_&/' \
#    Makefile.in
#sed -i 's#(void) setpgrp(0,0);#(void) setpgid(0,0);#' exp_command.c


%build
unset CFLAGS
unset CXXFLAGS
tclv=$(grep TCL_VERSION /usr/include/tcl.h | sed 's/^.*"\(.*\)".*/\1/')
#autoconf
./configure --with-tcl=%_libdir --with-tclinclude=/usr/lib/tcl${tclv}/include/generic --with-tk=%_libdir --enable-shared \
    --prefix=%_prefix --mandir=%_mandir --sysconfdir=%_sysconfdir 
make 


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/usr/lib
make install DESTDIR=${RPM_BUILD_ROOT}
rm -f ${RPM_BUILD_ROOT}/usr/lib/expect5.43/libexpect5.43.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ChangeLog FAQ HISTORY NEWS README
%_bindir
%_libdir
%_mandir

%files devel
%defattr(-,root,root)
/usr/include/expect.h
/usr/include/expect_tcl.h
/usr/include/expect_comm.h
/usr/include/tcldbg.h

%changelog
* Fri Dec 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 5.44.1-1
- Version Update
- built against tcl/tk 8.5.0
* Sun Jul 10 2005 Christian Metzen <metzench@ccux-linux.de> 5.43.0-2
- tweaked specfile
* Sun Jul 03 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 5.43.0-1
- Version Update to 5.43.0
* Tue May 17 2005 Christian Metzen <metzench@ccux-linux.de> 5.42.1-2
- Tweaked Spec File, split into main and devel package
* Thu May 12 2005 Stefan Gottwald <sg3881@web.de> 5.42.1-1
- Initial Build
